--- layout: page title: Github JS Widgets minify_content: false navigation: - name: Home link: / icon: fa fa-home - name: Overview link: /github-jquery-widgets icon: fa fa-dashboard - name: Demonstration link: /github-jquery-widgets/demo icon: fa fa-forward - name: Coverage link: /github-jquery-widgets/coverage icon: fa fa-code - name: Namespaces link: "#" icon: fa fa-mortar-board children: - name: githubProfile link: /github-jquery-widgets/radic.githubProfile.html ---

## githubProfile

### Members

#### <static> options

Default options

##### Properties:

Name | Type | Description
--- | --- | ---

`options`

Object

the default options

###### Properties

Name | Type | Description
--- | --- | ---
`username` | String | the user login name or id
`showProfile` | Boolean | Show user details
`showFollow` | Boolean | Show follow button
`showLanguages` | Boolean | Show top langauges
`showRepositories` | String | Show top repositories
`template` | String | Template id used by Handlebars
`className` | String | Root element class name
`spinner` | Boolean | Use spinner while loading
`spinnerOptions` | Object | Spinner options
`sortBy` | String | 'stars' or 'updateTime'
`repositoriesHeaderText` | String | Header caption
`repositoriesLimit` | Number | Limit the amount of repositories shown
`languagesHeaderText` | String | Header caption
`languagesLimit` | Number | Limit the amount of languages shown

### Methods

#### <static> option(key, value)

Get or set an option

##### Parameters:

Name | Type | Description
--- | --- | ---
`key` | String |
`value` |  |

##### Example

{% highlight javascript %}var username = $('#mywidget').githubProfile('option', 'username'); $('#mywidget').githubProfile('option', 'username', 'AwesomeJohn');{% endhighlight %}

#### <static> refresh()

Refreshes the data and repaints the widget. Usefull in case of option changes

##### Example

{% highlight javascript %}$('#thewidget').githubProfile('refresh');{% endhighlight %}

#### <static> repaint()

Repaints the widget. Usefull in case of option changes